> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adside.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Read campaign audit history with current access to explanations and sources

CLI: `adside audit list`



## OpenAPI

````yaml /api-reference/openapi.yaml get /v1/workspaces/{workspaceId}/audit-events
openapi: 3.1.0
info:
  title: Adside API
  version: 1.0.0
  description: >-
    Campaigns, creatives, assets and reporting across your ad accounts. Call it
    with a personal API key as a bearer token, or with the `adside` CLI: each
    page names its command.
servers:
  - url: https://api.adside.ai
    description: Production
security:
  - userAccess: []
tags:
  - name: Account
  - name: Reporting
  - name: Meta
  - name: Google Ads
  - name: LinkedIn
  - name: TikTok
  - name: Reddit
  - name: Snapchat
  - name: X
  - name: Google Tag Manager
  - name: Creatives
  - name: Creative styles
  - name: Media
  - name: Characters
  - name: Assets
  - name: Brands
  - name: Brain
  - name: Research
  - name: Boards
  - name: Artifacts
  - name: Audiences
  - name: Ad comments
  - name: Publications
  - name: Routines
  - name: Skills
  - name: To-dos
  - name: Audit
  - name: Credits
paths:
  /v1/workspaces/{workspaceId}/audit-events:
    get:
      tags:
        - Audit
      summary: List
      description: >-
        Read campaign audit history with current access to explanations and
        sources


        CLI: `adside audit list`
      operationId: audit.list
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
        - name: scope
          in: query
          required: false
          schema:
            default: workspace
            type: string
            enum:
              - workspace
              - organization
          style: form
          explode: true
        - name: limit
          in: query
          required: false
          schema:
            default: 20
            type: integer
            minimum: 1
            maximum: 100
          style: form
          explode: true
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            maxLength: 2000
          style: form
          explode: true
        - name: eventType
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 200
          style: form
          explode: true
        - name: resourceType
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 200
          style: form
          explode: true
        - name: provider
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 200
          style: form
          explode: true
        - name: resourceId
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 200
          style: form
          explode: true
        - name: actorUserId
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 200
          style: form
          explode: true
        - name: from
          in: query
          required: false
          schema:
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
          style: form
          explode: true
        - name: to
          in: query
          required: false
          schema:
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
          style: form
          explode: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  coverage:
                    type: object
                    properties:
                      label:
                        type: string
                      description:
                        type: string
                    required:
                      - label
                      - description
                    additionalProperties: false
                  canReadOrganization:
                    type: boolean
                  operations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        workspaceId:
                          type: string
                        operationId:
                          type: string
                        eventType:
                          type: string
                        occurredAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        recordedAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        origin:
                          type: string
                        initiatorKind:
                          type: string
                        initiatorUserId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        initiatorName:
                          type: string
                        agentId:
                          type: string
                        slackUserId:
                          type: string
                        credentialId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        impersonatorUserId:
                          type: string
                        systemActorId:
                          type: string
                        executorKind:
                          type: string
                        executorId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        runId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        resourceType:
                          type: string
                        resourceId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        resourceName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        provider:
                          type: string
                        accountId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        explanation:
                          type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - available
                                - restricted
                                - unavailable
                            sourceStatus:
                              type: string
                              enum:
                                - available
                                - restricted
                                - unavailable
                            reason:
                              type: object
                              properties:
                                text:
                                  type: string
                                  maxLength: 1000
                                suppliedBy:
                                  type: string
                                  enum:
                                    - user
                                    - agent
                                    - system
                              required:
                                - text
                                - suppliedBy
                              additionalProperties: false
                            sources:
                              type: array
                              items:
                                type: object
                                properties:
                                  kind:
                                    type: string
                                    enum:
                                      - chat
                                      - slack
                                      - routine
                                  label:
                                    type: string
                                  url:
                                    type: string
                                required:
                                  - kind
                                  - label
                                  - url
                                additionalProperties: false
                          required:
                            - status
                            - sourceStatus
                            - sources
                          additionalProperties: false
                        changes:
                          type: array
                          items:
                            type: object
                            properties:
                              field:
                                type: string
                              before:
                                $ref: '#/components/schemas/RecursiveValue'
                              beforeKnown:
                                type: boolean
                              after:
                                $ref: '#/components/schemas/RecursiveValue'
                              restricted:
                                type: boolean
                            required:
                              - field
                              - before
                              - beforeKnown
                              - after
                              - restricted
                            additionalProperties: false
                        currency:
                          type: string
                        units:
                          type: string
                          enum:
                            - provider_minor_units
                            - provider_micros
                        interpretation:
                          type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - campaign_change
                                - campaign_change_unresolved
                                - platform_activity_unknown
                            version:
                              type: string
                              minLength: 1
                              maxLength: 200
                            exchangeIds:
                              maxItems: 1000
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 200
                            limitations:
                              maxItems: 10
                              type: array
                              items:
                                type: string
                                enum:
                                  - missing_body
                                  - missing_response
                                  - unfamiliar_response
                                  - identity_unavailable
                                  - asynchronous_acceptance
                                  - analysis_exhausted
                                  - collection_incomplete
                                  - details_omitted
                            timing:
                              type: string
                              enum:
                                - exchange
                                - command
                          required:
                            - kind
                            - version
                            - exchangeIds
                            - limitations
                            - timing
                          additionalProperties: false
                      required:
                        - id
                        - workspaceId
                        - operationId
                        - eventType
                        - occurredAt
                        - recordedAt
                        - origin
                        - initiatorKind
                        - initiatorUserId
                        - credentialId
                        - executorKind
                        - executorId
                        - runId
                        - resourceType
                        - resourceId
                        - resourceName
                        - provider
                        - accountId
                        - explanation
                        - changes
                      additionalProperties: false
                  nextCursor:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - coverage
                  - canReadOrganization
                  - operations
                  - nextCursor
                additionalProperties: false
      security:
        - userAccess: []
components:
  schemas:
    RecursiveValue:
      anyOf:
        - type: string
        - type: number
        - type: boolean
        - type: 'null'
        - type: array
          items:
            $ref: '#/components/schemas/RecursiveValue'
        - type: object
          propertyNames:
            type: string
          additionalProperties:
            $ref: '#/components/schemas/RecursiveValue'
  securitySchemes:
    userAccess:
      type: http
      scheme: bearer
      description: >-
        A personal API key (`adside_pat_…`) or a token from `adside login`.
        Either carries the permissions of the person it belongs to.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.